Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jeptests
Class PostfixEvalTest

    java.lang.Object
      com.singularsys.jeptests.JepTest
          com.singularsys.jeptests.PostfixEvalTest

    public class PostfixEvalTest

extends JepTest

Field Summary

Fields inherited from class com.singularsys.jeptests.JepTest
`jep, myFalse, myTrue, PRINT_RESULTS`

Constructor Summary
`PostfixEvalTest()`

Method Summary
`void` | `setUp()` Sets up the parser.
`void` | `testPostfixBug()`
`void` | `testSetAllowUndeclared()` Tests whether allowUndeclared is working properly.

Methods inherited from class com.singularsys.jeptests.JepTest
`assertEqNodes, calcValue, calcValue, compareRecursive, complexValueTest, myAssertEquals, myAssertNaN, nodeTest, nodeTest, nodeTest, nodeTest, printTestHeader, testAssign, testBinom, testBlankParser, testCaseString, testChangeVariable, testChangeVariableComplex, testComments, testComplex, testEmptyEqn, testEmptyEqn2, testEvalExceptions, testEvaluate, testEvaluateComplex, testEvaluateString, testExpectedTokenSequence, testFormat, testFunction, testIf, testImplicitMul, testLazyLogical, testLazyLogicalBug, testListAccess, testLogarithm, testLogical, testMacroFunction, testMultiDimArray, testMultiLine, testMultiplyBug, testNaN, testNoAssign, testNumbers, testNumParam, testParseException, testPlusPlus, testRecursiveMacroFunction, testSemiColon, testSimpleSum, testStrings, testStringsFun, testSwitch, testUminusPower, testX2Y, valueTest, valueTest, valueTestFail, valueTestNaN, valueTestString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostfixEvalTest

    public PostfixEvalTest()

Method Detail

### setUp

    public void setUp()

  Description copied from class: `JepTest`
  Sets up the parser.

  Overrides:
    `setUp` in class `JepTest`

### testSetAllowUndeclared

    public void testSetAllowUndeclared()
                                throws java.lang.Exception

  Description copied from class: `JepTest`
  Tests whether allowUndeclared is working properly.

  Overrides:
    `testSetAllowUndeclared` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testPostfixBug

    public void testPostfixBug()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep